Loading...
Searching...
No Matches
osmium::ChangesetComment Class Reference

`#include <changeset.hpp>`

Inheritance diagram for osmium::ChangesetComment:
[legend]
Collaboration diagram for osmium::ChangesetComment:
[legend]

## Public Member Functions

| ChangesetComment (osmium::Timestamp date, osmium::user_id_type uid) noexcept
| ChangesetComment (const ChangesetComment &)=delete
ChangesetComment & | operator= (const ChangesetComment &)=delete
| ChangesetComment (ChangesetComment &&)=delete
ChangesetComment & | operator= (ChangesetComment &&)=delete
| ~ChangesetComment () noexcept=default
osmium::Timestamp | date () const noexcept
osmium::user_id_type | uid () const noexcept
const char * | user () const noexcept
const char * | text () const noexcept

## Static Public Attributes

static constexpr item_type | collection_type = item_type::changeset_discussion

## Private Member Functions

unsigned char * | endpos ()
const unsigned char * | endpos () const
unsigned char * | next ()
const unsigned char * | next () const
void | set_user_size (string_size_type size) noexcept
void | set_text_size (changeset_comment_size_type size) noexcept

## Private Attributes

osmium::Timestamp | m_date
osmium::user_id_type | m_uid = 0
changeset_comment_size_type | m_text_size = 0
string_size_type | m_user_size = 0

## Friends

class | osmium::builder::ChangesetDiscussionBuilder
template<typename TMember >
class | osmium::memory::CollectionIterator

## Constructor & Destructor Documentation

## ChangesetComment() [1/3]

osmium::ChangesetComment::ChangesetComment | ( | osmium::Timestamp | date,
|  | osmium::user_id_type | uid
| ) |  |

inline noexcept

## ChangesetComment() [2/3]

osmium::ChangesetComment::ChangesetComment | ( | const ChangesetComment & |  | ) |

delete

## ChangesetComment() [3/3]

osmium::ChangesetComment::ChangesetComment | ( | ChangesetComment && |  | ) |

delete

## ~ChangesetComment()

osmium::ChangesetComment::~ChangesetComment | ( |  | ) |

default noexcept

## Member Function Documentation

## date()

osmium::Timestamp osmium::ChangesetComment::date | ( |  | ) | const

inline noexcept

## endpos() [1/2]

unsigned char * osmium::ChangesetComment::endpos | ( |  | ) |

inline private

## endpos() [2/2]

const unsigned char * osmium::ChangesetComment::endpos | ( |  | ) | const

inline private

## next() [1/2]

unsigned char * osmium::ChangesetComment::next | ( |  | ) |

inline private

## next() [2/2]

const unsigned char * osmium::ChangesetComment::next | ( |  | ) | const

inline private

## operator=() [1/2]

ChangesetComment & osmium::ChangesetComment::operator= | ( | ChangesetComment && |  | ) |

delete

## operator=() [2/2]

ChangesetComment & osmium::ChangesetComment::operator= | ( | const ChangesetComment & |  | ) |

delete

## set_text_size()

void osmium::ChangesetComment::set_text_size | ( | changeset_comment_size_type | size | ) |

inline private noexcept

## set_user_size()

void osmium::ChangesetComment::set_user_size | ( | string_size_type | size | ) |

inline private noexcept

## text()

const char * osmium::ChangesetComment::text | ( |  | ) | const

inline noexcept

## uid()

osmium::user_id_type osmium::ChangesetComment::uid | ( |  | ) | const

inline noexcept

## user()

const char * osmium::ChangesetComment::user | ( |  | ) | const

inline noexcept

## Friends And Related Symbol Documentation

## osmium::builder::ChangesetDiscussionBuilder

friend class osmium::builder::ChangesetDiscussionBuilder

friend

## osmium::memory::CollectionIterator

template<typename TMember >

friend class osmium::memory::CollectionIterator

friend

## Member Data Documentation

## collection_type

constexpr item_type osmium::ChangesetComment::collection_type = item_type::changeset_discussion

static constexpr

## m_date

osmium::Timestamp osmium::ChangesetComment::m_date

private

## m_text_size

changeset_comment_size_type osmium::ChangesetComment::m_text_size = 0

private

## m_uid

osmium::user_id_type osmium::ChangesetComment::m_uid = 0

private

## m_user_size

string_size_type osmium::ChangesetComment::m_user_size = 0

private

The documentation for this class was generated from the following file:

- include/osmium/osm/changeset.hpp